﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Linq;
using EleWise.ELMA.Core;
using EleWise.ELMA.Core.Controllers;
using EleWise.ELMA.Core.Services;
using EleWise.ELMA.Model.Common;
using EleWise.ELMA.Model.Validation;
using EleWise.ELMA.Model.ViewModel;
using EleWise.ELMA.Model.Views;
using EleWise.ELMA.DataClasses;

namespace TestCustomInputModule.Components
{
    /// <summary>
    /// Контроллер компонента "AddressCustomInput"
    /// </summary>
    partial class AddressCustomInput
    {
        partial class ComponentController
        {
            /// <summary>
            /// Скрыть наименование
            /// </summary>
            /// <returns><c>true</c>, если необходимо скрыть наименование</returns>
            public bool HideName()
            {
                return !Component.ReadOnly;
            }

            /// <summary>
            /// Скрыть поля редактирования
            /// </summary>
            /// <returns><c>true</c>, если необходимо скрыть поля редактирования</returns>
            public bool HideEdit()
            {
                return Component.ReadOnly;
            }
        }
    }
}
